<!DOCTYPE html>
<html lang="en">
<head>
  <%- include('../partials/head.ejs'); -%>
</head>
<body>
<div class="container bg-3">
  <%- include('../partials/header.ejs'); -%>
  <div class="row text-right">
    &nbsp;
  </div>
  <div class="row main-container">
        <div class="row">
          <div class="col-sm-6 col-sm-offset-3">
            <div class="row">
              <div class="col-sm-12">
                <% if(error){ %>
                  <div class="alert alert-danger"><%= error %></div>
              <% } %>
              </div>
            </div>
          </div><!--/col-sm-6-->
        </div><!--/row-->
        <% if(doctor == "Doctor not found"){ %>
            <h4>Doctors not found.</h4>
        <% }else{
          let clinicID = '';
          if(doctor.clinicID && doctor.clinicID._id){
            clinicID = "'"+doctor.clinicID._id+"'"
          }
          %>
        <div class="mt-2" style="background-color: rgb(255, 255, 255)">
          <div class="row">
            <div class="col">
              <div class="table-responsive mt-5">
                <div class="detailsNav">
                  <ul class="nav nav-tabs">
                    <%
                    if(!tab) {
                      tab = "home"
                    }
                    %>
                    <li class="<% if(tab == "home") { %> active <% } %>"><a data-toggle="tab" href="#general">General</a></li>
                    <li class="<% if(tab == "sessions") { %> active <% } %>"><a data-toggle="tab" href="#sessions">Sessions</a></li>
                    <li class="<% if(tab == "sechedule") { %> active <% } %>"><a data-toggle="tab" href="#schedule">Schedule</a></li>
                    <li class="<% if(tab == "patients") { %> active <% } %>"><a data-toggle="tab" href="#Patients">Patients</a></li>
                  </ul>
                  <div class="tab-content">
                      <div id="general" class="tab-pane fade <% if(tab == "home") { %> in active <% } %>">
                        <div class="generalDetails margintop-10px">
                          <div class="col col-md-12">

                            <form id="uploadForm" class="updateForm" enctype="multipart/form-data" data-id="<%= doctor._id %>" action="/doctors/updateDoctors" method="post">
                              <div class="col-md-6">
                                <div class="alert alert-success successCreateDoctor" style="display:none"> </div>
                                <div class="alert alert-danger errorCreateDoctor" style="display:none"> </div>
                                <div class="form-group col-md-12">
                                   <span for="first_name" class="col-md-6">First Name</span>
                                   <input type="text" class="input-lg formControlCss col-md-6" name="first_name" id="first_name" placeholder="First Name" value="<%= doctor.first_name %>">
                                 </div>
                                 <div class="form-group col-md-12">
                                    <span for="last_name" class="col-md-6">Last Name</span>
                                    <input type="text" class="input-lg formControlCss col-md-6" name="last_name" id="last_name" placeholder="Last Name" value="<%= doctor.last_name %>">
                                  </div>
                                  <div class="form-group col-md-12">
                                     <span for="doctorID" class="col-md-6">DRChrono ID</span>
                                     <input type="text" class="input-lg formControlCss col-md-6" name="doctorID" id="doctorID" placeholder="DR Chrono ID" value="<%= doctor.doctorID %>">
                                   </div>
                                 <div class="form-group col-md-12">
                                    <span for="email" class="col-md-6">Email</span>
                                    <input type="text" class="input-lg formControlCss col-md-6" name="email" id="email" placeholder="Email" value="<%= doctor.email %>">
                                  </div>
                                  <div class="form-group col-md-12 select2-wrapper">
                                    <span for="clinicDoctors" class="col-md-6">Clinic</span>
                                     <select id="clinicDoctors" name="clinicID" class="clinicDoctors col-md-6 select2-single">
                                       <option></option>
                                       <% clinics.forEach(function(clinic, clinicIndex){
                                         var selected = ""
                                         var cliID  = "'"+clinic._id+"'"
                                         if(cliID == clinicID ){
                                           selected = "selected"
                                         }
                                         %>
                                         <option value="<%= clinic._id %>" <%= selected %> ><%= clinic.title %></option>
                                       <% })  %>
                                     </select>
                                   </div>
                                </div>
                                <div class="col-md-6">
                                  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                </div>
                                <span class="col-md-8"> <hr style="border-top: 1px solid #ccc"> </span>
                                <div class="form-group col-md-12">
                                   <span for="specialty" class="col-md-3">Specialisation</span>
                                   <input type="text" class="input-lg formControlCss col-md-9" name="specialty" id="specialty" placeholder="Specialisation" value="<%= doctor.specialty %>">
                                 </div>
                                <div class="form-group col-md-12">
                                  <span for="ecucation" class="col-md-3">Bio</span>
                                  <textarea class="formControlCss col-md-9" name="education" rows="5" id="ecucation"><%= doctor.education %></textarea>
                                </div>
                             </form>
                             <div class="col-md-12 text-right">
                               <button  class="btn" id="updateDoctorButton">Update Doctor</button>
                             </div>
                          </div>
                        </div>
                      </div>
                      <div id="sessions" class="tab-pane fade <% if(tab == "sessions") { %> in active <% } %>">
                        <div class="sessionDetails margintop-10px">
                          <div class="table-responsive mt-5 col-md-12" style="margin-top:10px">
                            <div class="row text-right">
                              <button class="btn" data-toggle="modal" data-target="#createSession" ><i class="fa fa-folder"></i> Add Session</button>
                            </div>
                            <!-- Create Modal -->
                                <div class="modal fade" id="createSession" role="dialog">
                                  <div class="modal-dialog">
                                                  <!-- Modal content-->
                                   <div class="modal-content">
                                     <div class="modal-header">
                                       <button type="button" class="close" data-dismiss="modal">&times;</button>
                                       <h4 class="modal-title">Create Session</h4>
                                     </div>
                                     <div class="modal-body">
                                       <div class="alert alert-success successCreateSession" style="display:none"> </div>
                                       <div class="alert alert-danger errorCreateSession" style="display:none"> </div>

                                       <form id="uploadFormSession" action="/doctors/addSessions" data-id="<%= doctor._id %>" method="post">
                                          <div class="form-group col-md-6">
                                             <label for="first_name">Session Name</label>
                                             <input type="text" class="input-lg form-control" name="sessionName" id="sessionName" placeholder="Session Name" required>
                                           </div>
                                           <div class="form-group col-md-6">
                                             <label for="duration">Duration</label>
                                             <input type="number" class="input-lg form-control" name="duration" id="duration" placeholder="Duration" required>
                                           </div>
                                           <div class="form-group col-md-6">
                                             <label for="price">Price</label>
                                             <input type="number" class="input-lg form-control" name="price" id="price" placeholder="Price" required>
                                           </div>

                                        </form>
                                     </div>
                                     <div class="clearfix"></div>
                                     <div class="modal-footer">
                                       <button  class="btn" id="createSessionButton">Create Session</button>
                                       <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                                     </div>
                                   </div>

                                 </div>
                               </div>
                            <!-- Create Modal -->
                            <div class="alert alert-success successSession" style="display:none"> </div>
                            <div class="alert alert-danger errorSession" style="display:none"> </div>
                            <% let sessions = []
                              if(doctor.sessions){
                                sessions = doctor.sessions
                              }
                            %>
                            <table class="table table-bordered table-striped table-hover users-table mb-2">
                              <thead>
                                <tr>
                                  <th>Session Name</th>
                                  <th>Duration</th>
                                  <th>Price</th>
                                  <th class="no-sort">Actions</th>
                                </tr>
                              </thead>
                              <tbody>
                                <% sessions.forEach(function(session, sessionIndex){  %>
                                <tr class="sessionRow updateRow_<%= sessionIndex %>" data-index="<%= sessionIndex %>">
                                    <td>
                                      <span class="sessionNameSpan_<%= sessionIndex %>"><%= session.sessionName %></span>
                                      <input style="display:none;" type="text" class="sessionNameInput_<%= sessionIndex %>" value="<%= session.sessionName %>">
                                    </td>
                                    <td>
                                      <span class="sessionDurationSpan_<%= sessionIndex %>"><%= session.duration %></span>
                                      <input type="number" style="display:none;" class="sessionDurationInput_<%= sessionIndex %>" value="<%= session.duration %>">
                                    </td>
                                    <td>
                                      <span class="sessionPriceSpan_<%= sessionIndex %>">$<%= session.price %></span>
                                      <input type="number" style="display:none;" class="sessionPriceInput_<%= sessionIndex %>" value="<%= session.price %>">
                                    </td>
                                    <td>
                                      <button class="btn saveUpdateSession upBTN_<%= sessionIndex %>" data-docId="<%= doctor._id %>" data-index="<%= sessionIndex %>" style="display:none;" >save</button>
                                      <button class="btn cancleUpdateSession cancleBTN_<%= sessionIndex %>" data-index="<%= sessionIndex %>" style="display:none;" >cancle</button>
                                      <button class="btn updateSession editBTN_<%= sessionIndex %>" data-index="<%= sessionIndex %>" ><i class="fa fa-edit"></i></button>
                                      <button class="btn deletedPatient delBTN_<%= sessionIndex %>" data-docId="<%= doctor._id %>" data-index="<%= sessionIndex %>"><i class="fa fa-trash"></i></button>
                                    </td>
                                </tr>
                                <% }) %>
                              </tbody>
                            </table>
                          </div>

                        </div>
                      </div>
                      <div id="schedule" class="tab-pane fade <% if(tab == "sechedule") { %> in active <% } %>">
                        <div class="ScheduleDetails margintop-10px">
                          <% if(!appointmentTemplate || !appointmentTemplate.scheduled_time) { %>
                            <h6 class="text-center margintop-10px"> No Appointmet Templated created in DRChrono. <h6>
                          <% }else{ %>

                            <div class="col-md-6">
                              <form id="uploadFormTemplate" class="updateForm" data-id="<%= doctor._id %>" action="/doctors/updateTemplate" method="post">

                                  <div class="alert alert-success successTemplate" style="display:none"> </div>
                                  <div class="alert alert-danger errorTemplate" style="display:none"> </div>
                                  <div class="form-group col-md-12">
                                     <span for="time" class="col-md-4">Start Time</span>
                                     <input type="hidden" class="" name="tempId" id="tempId" value="<%= appointmentTemplate.id %>">
                                     <input type="hidden" class="" name="profile" id="profile" value="<%= appointmentTemplate.profile %>">
                                     <input type="hidden" class="" name="exam_room" id="exam_room" value="<%= appointmentTemplate.exam_room %>">
                                     <input type="hidden" class="" name="office" id="office" value="<%= appointmentTemplate.office %>">
                                     <input type="text" class="input-lg formControlCss col-md-4" name="time" id="time" placeholder="Start Time" value="<%= appointmentTemplate.scheduled_time.split(":")[0] %>:<%= appointmentTemplate.scheduled_time.split(":")[1] %>">
                                     <span class="col-md-4"> 24 Hours Format (00:00) </span>
                                   </div>
                                   <div class="form-group col-md-12">
                                      <span for="tempDuration" class="col-md-4">Duration</span>
                                      <input type="text" class="input-lg formControlCss col-md-4" name="duration" id="tempDuration" placeholder="Last Name" value="<%= appointmentTemplate.duration %>">
                                      <%
                                        var today = new Date();
                                        var dd = String(today.getDate()).padStart(2, '0');
                                        var mm = String(today.getMonth() + 1).padStart(2, '0'); //January is 0!
                                        var yyyy = today.getFullYear();

                                        today = mm + '/' + dd + '/' + yyyy + " "+appointmentTemplate.scheduled_time;
                                        todayEND = mm + '/' + dd + '/' + yyyy + " 23:59:59";

                                        var date = new Date(today)
                                        var dateFirst = new Date(todayEND)
                                        var minutesDiff = Math.floor(Math.abs(dateFirst - date) / 60000);
                                      %>
                                      <span class="col-md-4">In minutes <span class="minutesChange"> (5 - <%= minutesDiff %>) </span>
                                        <p class="endTimeTemplate">
                                          <%
                                            var expiry = parseInt(appointmentTemplate.duration)
                                            var newDate = new Date(date.getTime() + (60000 * expiry))
                                            var endTime = moment(newDate).format('hh:mm a')
                                          %>
                                          End Time : <%= endTime %>
                                        </p>
                                      </span>
                                    </div>
                                    <div class="form-group col-md-12">
                                       <span for="doctorID" class="col-md-4">Week Days</span>
                                       <div class="week_days col-md-6">
                                         <% let checked = "checked" %>
                                         <p><Input type="checkbox" class="week_days_checkbox" value="0" <% if(appointmentTemplate.week_days.includes(0) ) {%> <%= checked %> <% } %> > Monday</p>
                                         <p><Input type="checkbox" class="week_days_checkbox" value="1" <% if(appointmentTemplate.week_days.includes(1) ) {%> <%= checked %> <% } %>> Tuesday</p>
                                         <p><Input type="checkbox" class="week_days_checkbox" value="2" <% if(appointmentTemplate.week_days.includes(2) ) {%> <%= checked %> <% } %>> Wednesday</p>
                                         <p><Input type="checkbox" class="week_days_checkbox" value="3" <% if(appointmentTemplate.week_days.includes(3) ) {%> <%= checked %> <% } %>> Thursday</p>
                                         <p><Input type="checkbox" class="week_days_checkbox" value="4" <% if(appointmentTemplate.week_days.includes(4) ) {%> <%= checked %> <% } %>> Friday</p>
                                         <p><Input type="checkbox" class="week_days_checkbox" value="5" <% if(appointmentTemplate.week_days.includes(5) ) {%> <%= checked %> <% } %>> Saturday</p>
                                         <p><Input type="checkbox" class="week_days_checkbox" value="6" <% if(appointmentTemplate.week_days.includes(6) ) {%> <%= checked %> <% } %>> Sunday</p>
                                       </div>
                                         <span class="col-md-4">&nbsp;</span>
                                     </div>

                               </form>
                               <div class="col-md-12 text-right">
                                 <button  class="btn" id="updateTemplateButton" data-id=<%= doctor._id%> >Update Template</button>
                               </div>

                            </div>
                          <% } %>
                        </div>
                      </div>
                      <div id="Patients" class="tab-pane fade <% if(tab == "patients") { %> in active <% } %>">
                        <div class="PatientDetails margintop-10px">

                          <div class="table-responsive mt-5 col-md-12" style="margin-top:10px">
                            <table class="table table-bordered table-striped table-hover users-table mb-2">
                              <thead>
                                <tr>
                                  <th>DR Chrono ID</th>
                                  <th>Name</th>
                                  <th>Email</th>
                                  <th>Sessions</th>
                                  <th>Status</th>
                                </tr>
                              </thead>
                              <tbody>
                                <% patients.forEach(function(patient, patientIndex){  %>
                                <tr>
                                    <td><%= patient.patientID %></td>
                                    <td><%= patient.first_name %> <%= patient.last_name %> </td>
                                    <td><%= patient.email %></td>
                                    <td><%= patient.sessionsCount %></td>
                                    <td><%= patient.status %></td>
                                </tr>
                                <% }) %>
                              </tbody>
                            </table>
                          </div>
                        </div>

                      </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
    <% } %>
  </div>
</div>
<%- include('../partials/footer.ejs'); -%>
<script>
      $(document).ready(function() {
        $(".users-table").DataTable({
          "aaSorting": [],
          "columnDefs": [ {
            "targets": 'no-sort',
            "orderable": false,
          } ]
        });

        // when template time change
        $(document).on('click', '#updateTemplateButton', function() {
          let docID = $(this).data('id')

          let scheTime = $('#time').val()
          let tempDuration = $('#tempDuration').val()
          let tempId = $('#tempId').val()
          let office = $('#office').val()
          let exam_room = $('#exam_room').val()
          let profile = $('#profile').val()

          let week_days_array = []
          var today = new Date();
          var dd = String(today.getDate()).padStart(2, '0');
          var mm = String(today.getMonth() + 1).padStart(2, '0'); //January is 0!
          var yyyy = today.getFullYear();

          today = mm + '/' + dd + '/' + yyyy + " "+scheTime;
          todayFirst = mm + '/' + dd + '/' + yyyy + " 23:59:59";

          var date = new Date(today)
          var dateFirst = new Date(todayFirst)
          var minutesDiff = Math.floor(Math.abs(dateFirst - date) / 60000);

          if(scheTime == ""){
            $('.errorTemplate').show()
            $('.errorTemplate').html("Please enter valid time")
            setTimeout(function(){ $('.errorTemplate').hide() }, 3000);
          }

          if(tempDuration == ""){
            $('.errorTemplate').show()
            $('.errorTemplate').html("Please enter valid duration")
            setTimeout(function(){ $('.errorTemplate').hide() }, 3000);
          }

          if(tempDuration < 5 || tempDuration > minutesDiff){
            $('.errorTemplate').show()
            $('.errorTemplate').html("Please enter valid duration")
            setTimeout(function(){ $('.errorTemplate').hide() }, 3000);
          }

          $('.week_days_checkbox').each(function(){
            if($(this).is(":checked")){
              week_days_array.push($(this).val())
            }
          })


          $(this).ajaxSubmit({
              type:"POST",
              url:"/doctors/updateTemplate?docID="+docID,
              data:{week_days_array:week_days_array, scheTime:scheTime, tempDuration:tempDuration, tempId:tempId, profile:profile, exam_room:exam_room, office:office},
              error: function(xhr) {
                $('.errorTemplate').show()
                $('.errorTemplate').html(xhr.responseJSON.message)
                setTimeout(function(){ $('.errorTemplate').hide() }, 3000);
              },
              success: function(response) {
                  if(response.status == "error"){
                    $('.errorTemplate').show()
                    $('.errorTemplate').html(response.message)
                    setTimeout(function(){ $('.errorTemplate').hide() }, 3000);
                  }else{
                    $('.successTemplate').show()
                    $('.successTemplate').html(response.message)
                    setTimeout(function(){ $('.successTemplate').hide() }, 3000);
                  }
              }
          });

        })

        // when template time change
        $(document).on('keyup', '#time', function() {
          let scheTime = $('#time').val()
          let tempDuration = $('#tempDuration').val()
          var today = new Date();
          var dd = String(today.getDate()).padStart(2, '0');
          var mm = String(today.getMonth() + 1).padStart(2, '0'); //January is 0!
          var yyyy = today.getFullYear();

          today = mm + '/' + dd + '/' + yyyy + " "+scheTime;
          todayFirst = mm + '/' + dd + '/' + yyyy + " 23:59:59";

          var date = new Date(today)
          var dateFirst = new Date(todayFirst)

          var expiry = parseInt(tempDuration)
          var newDate = new Date(date.getTime() + (60000 * expiry))
          var minutes = 00
          if(newDate.getMinutes() < 10 ){
            minutes = newDate.getMinutes() + "0";
          }
          var newTime = newDate.getHours() +":"+ minutes
          var endTime = getTime( newTime )

          var minutesDiff = Math.floor(Math.abs(dateFirst - date) / 60000);

          var html = "End Time : "+endTime
          var htmlMin = "( 5 - "+minutesDiff+")"
          $('.minutesChange').html(htmlMin)
          $('.endTimeTemplate').html(html)
        })

        // when template duration change
        $(document).on('keyup', '#tempDuration', function() {
          let scheTime = $('#time').val()
          let tempDuration = $('#tempDuration').val()
          var today = new Date();
          var dd = String(today.getDate()).padStart(2, '0');
          var mm = String(today.getMonth() + 1).padStart(2, '0'); //January is 0!
          var yyyy = today.getFullYear();

          today = mm + '/' + dd + '/' + yyyy + " "+scheTime;
          todayFirst = mm + '/' + dd + '/' + yyyy + " 23:59:59";

          var date = new Date(today)
          var dateFirst = new Date(todayFirst)

          var expiry = parseInt(tempDuration)
          var newDate = new Date(date.getTime() + (60000 * expiry))
          var minutes = 00
          if(newDate.getMinutes() < 10 ){
            minutes = newDate.getMinutes() + "0";
          }
          var newTime = newDate.getHours() +":"+ minutes
          var endTime = getTime( newTime )

          var minutesDiff = Math.floor(Math.abs(dateFirst - date) / 60000);

          var html = "End Time : "+endTime
          var htmlMin = "( 5 - "+minutesDiff+")"
          $('.minutesChange').html(htmlMin)
          $('.endTimeTemplate').html(html)
        })

        function getTime(timeString){

          let timeH = parseInt(timeString.split(":")[0]);
          let timeM = timeString.split(":")[1];
          timeString = (timeH < 10) ? "0"+timeH+":"+timeM : timeString

          let H = +timeString.substr(0, 2);
          let h = (H % 12) || 12;
          let ampm = H < 12 ? " AM" : " PM";
          return timeString = h + timeString.substr(2, 3) + ampm;
        }

        // when click on delete button
        $(document).on('click', '.deletedPatient', function() {
          let sessionIndex = $(this).data('index')
          let docID = $(this).data('docid')
          let sessions = []

          swal({
            title: "Are you sure?",
            text: "Yo want to delete Session",
            type: "warning",
            type: "warning",
            showCancelButton: true,
            confirmButtonClass: "btn-danger",
            confirmButtonText: "Yes, delete it!",
            closeOnConfirm: false
          },
          function(){
            $('.updateRow_'+sessionIndex).remove()
            //get updated values
            $('.sessionRow').each(function(){
              let sIndex = $(this).data('index')
              let sessionName = $('.sessionNameInput_'+sIndex).val()
              let sessionDuration = $('.sessionDurationInput_'+sIndex).val()
              let sessionPrice = $('.sessionPriceInput_'+sIndex).val()
              let sessionObj = {
                sessionName:sessionName,
                duration: sessionDuration,
                price: sessionPrice
              }
              sessions.push(sessionObj)
            })

            $.ajax({
                data:{sessions:sessions},
                url:"/doctors/updateSessions?docID="+docID,
                type: "POST",
                error: function(xhr) {
                },
                success: function(response) {
                    if(response.status == "error"){
                    }else{
                      swal({
                        title: "Deleted",
                        text: "",
                        type: "success",
                        confirmButtonText: "Okay"
                      },
                      function(){
                        let url = "/doctors/details/"+docID+"?tab=sessions"
                        window.location = url;
                      });
                    }
                }
            });

          });

        })

        // when click on create button
        $(document).on('click', '#createSessionButton', function() {

          let name = $('#sessionName').val()
          let duration = $('#duration').val()
          let price = $('#price').val()


          if(price == ""){
            $('.errorCreateSession').show()
            $('.errorCreateSession').html("Session Price is required")
            setTimeout(function(){ $('.errorCreateSession').hide() }, 3000);
          }

          if(duration == ""){
            $('.errorCreateSession').show()
            $('.errorCreateSession').html("Session Duration is required")
            setTimeout(function(){ $('.errorCreateSession').hide() }, 3000);
          }

          if(name == ""){
            $('.errorCreateSession').show()
            $('.errorCreateSession').html("Session Name is required")
            setTimeout(function(){ $('.errorCreateSession').hide() }, 3000);
          }

          $('#uploadFormSession').submit();


        });

        $('#uploadFormSession').submit(function(e){
          e.preventDefault();
          let docID = $(this).data('id')
          $(this).ajaxSubmit({
              type:"POST",
              url:"/doctors/addSessions?docID="+docID,
              error: function(xhr) {
                $('.errorSession').show()
                $('.errorSession').html(xhr.responseJSON.message)
                setTimeout(function(){ $('.errorSession').hide() }, 3000);
              },
              success: function(response) {
                  if(response.status == "error"){
                    $('.errorSession').show()
                    $('.errorSession').html(response.message)
                    setTimeout(function(){ $('.errorSession').hide() }, 3000);
                  }else{
                    $('.successSession').show()
                    $('.successSession').html(response.message)
                    let url = "/doctors/details/"+docID+"?tab=sessions"
                    window.location = url;
                  }
              }
          });

          //Very important line, it disable the page refresh.
          return false;

        })

        // when click on update button
        $(document).on('click', '.updateSession', function() {
          let sessionIndex = $(this).data('index')

          // Show inputs and btn
          $('.sessionNameInput_'+sessionIndex).show()
          $('.sessionDurationInput_'+sessionIndex).show()
          $('.sessionPriceInput_'+sessionIndex).show()
          $('.upBTN_'+sessionIndex).show()
          $('.cancleBTN_'+sessionIndex).show()

          // Hide span and btn
          $('.sessionNameSpan_'+sessionIndex).hide()
          $('.sessionDurationSpan_'+sessionIndex).hide()
          $('.sessionPriceSpan_'+sessionIndex).hide()
          $('.editBTN_'+sessionIndex).hide()
          $('.delBTN_'+sessionIndex).hide()

        });

        // when click on cancle button
        $(document).on('click', '.cancleUpdateSession', function() {
          let sessionIndex = $(this).data('index')

          // hide inputs and btn
          $('.sessionNameInput_'+sessionIndex).hide()
          $('.sessionDurationInput_'+sessionIndex).hide()
          $('.sessionPriceInput_'+sessionIndex).hide()
          $('.upBTN_'+sessionIndex).hide()
          $('.cancleBTN_'+sessionIndex).hide()

          // show span and btn
          $('.sessionNameSpan_'+sessionIndex).show()
          $('.sessionDurationSpan_'+sessionIndex).show()
          $('.sessionPriceSpan_'+sessionIndex).show()
          $('.editBTN_'+sessionIndex).show()
          $('.delBTN_'+sessionIndex).show()

        });

        // when click on save update button
        $(document).on('click', '.saveUpdateSession', function() {
          let sessions = []
          let sessionIndex = $(this).data('index')
          let docID = $(this).data('docid')
          let name = $('.sessionNameInput_'+sessionIndex).val()
          let duration = $('.sessionDurationInput_'+sessionIndex).val()
          let price = $('.sessionPriceInput_'+sessionIndex).val()

          if(name == ""){
            $('.errorSession').show()
            $('.errorSession').html("Session Name is required")
            setTimeout(function(){ $('.errorSession').hide() }, 3000);
          }

          if(duration == ""){
            $('.errorSession').show()
            $('.errorSession').html("Session Duration is required")
            setTimeout(function(){ $('.errorSession').hide() }, 3000);
          }

          if(price == ""){
            $('.errorSession').show()
            $('.errorSession').html("Session Price is required")
            setTimeout(function(){ $('.errorSession').hide() }, 3000);
          }

          // hide inputs and btn
          $('.sessionNameInput_'+sessionIndex).hide()
          $('.sessionDurationInput_'+sessionIndex).hide()
          $('.sessionPriceInput_'+sessionIndex).hide()
          $('.upBTN_'+sessionIndex).hide()
          $('.cancleBTN_'+sessionIndex).hide()

          // value update
          $('.sessionNameSpan_'+sessionIndex).html(name)
          $('.sessionDurationSpan_'+sessionIndex).html(duration)
          $('.sessionPriceSpan_'+sessionIndex).html(price)

          //get updated values
          $('.sessionRow').each(function(){
            let sIndex = $(this).data('index')
            let sessionName = $('.sessionNameInput_'+sIndex).val()
            let sessionDuration = $('.sessionDurationInput_'+sIndex).val()
            let sessionPrice = $('.sessionPriceInput_'+sIndex).val()
            let sessionObj = {
              sessionName:sessionName,
              duration: sessionDuration,
              price: sessionPrice
            }
            sessions.push(sessionObj)
          })

          $(this).ajaxSubmit({
              data:{sessions:sessions},
              type:"POST",
              url:"/doctors/updateSessions?docID="+docID,
              error: function(xhr) {
                $('.errorSession').show()
                $('.errorSession').html(xhr.responseJSON.message)
                setTimeout(function(){ $('.errorSession').hide() }, 3000);
              },
              success: function(response) {
                  if(response.status == "error"){
                    $('.errorSession').show()
                    $('.errorSession').html(response.message)
                    setTimeout(function(){ $('.errorSession').hide() }, 3000);
                  }else{
                    $('.successSession').show()
                    $('.successSession').html(response.message)
                    setTimeout(function(){ $('.successSession').hide() }, 3000);

                    // show span and btn
                    $('.sessionNameSpan_'+sessionIndex).show()
                    $('.sessionDurationSpan_'+sessionIndex).show()
                    $('.sessionPriceSpan_'+sessionIndex).show()
                    $('.editBTN_'+sessionIndex).show()
                    $('.delBTN_'+sessionIndex).show()
                  }
              }
          });

        });

        // Create form submit when click on button
        $('#updateDoctorButton').click(function() {
          $('#uploadForm').submit()
        });

        // Create form submit
        $('#uploadForm').submit(function(e) {
            e.preventDefault();
            var docID = $(this).data('id');
            var first_name = $('#first_name').val();
            var last_name = $('#last_name').val();
            var email = $('#email').val();
            var doctorID = $('#doctorID').val();

            if(first_name == ""){
              $('.errorCreateDoctor').show()
              $('.errorCreateDoctor').html("First name is required")
              setTimeout(function(){ $('.errorCreateDoctor').hide() }, 3000)
              return false
            }
            if(last_name == ""){
              $('.errorCreateDoctor').show()
              $('.errorCreateDoctor').html("Last name is required")
              setTimeout(function(){ $('.errorCreateDoctor').hide() }, 3000)
              return false
            }
            if(email == ""){
              $('.errorCreateDoctor').show()
              $('.errorCreateDoctor').html("Email is required")
              setTimeout(function(){ $('.errorCreateDoctor').hide() }, 3000)
              return false
            }
            const re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
            if (!re.test(email)) {
              $('.errorCreateDoctor').show()
              $('.errorCreateDoctor').html("Please enter a valid email")
              setTimeout(function(){ $('.errorCreateDoctor').hide() }, 3000)
              return false
            }
            if(doctorID == ""){
              $('.errorCreateDoctor').show()
              $('.errorCreateDoctor').html("Doctor ID is required")
              setTimeout(function(){ $('.errorCreateDoctor').hide() }, 3000)
              return false
            }

            $(this).ajaxSubmit({
                data:{docID:docID},
                error: function(xhr) {
                  $('.errorCreateDoctor').show()
                  $('.errorCreateDoctor').html(xhr.responseJSON.message)
                  setTimeout(function(){ $('.errorCreateDoctor').hide() }, 3000);
                },
                success: function(response) {
                    if(response.status == "error"){
                      $('.errorCreateDoctor').show()
                      $('.errorCreateDoctor').html(response.message)
                      setTimeout(function(){ $('.errorCreateDoctor').hide() }, 3000);
                    }else{
                      $('.successCreateDoctor').show()
                      $('.successCreateDoctor').html(response.message)
                      setTimeout(function(){ $('.successCreateDoctor').hide() }, 3000);
                    }
                }
            });
            //Very important line, it disable the page refresh.
            return false;
        });


        $( "#clinicDoctors" ).select2();

      });
</script>

</body>
</html>
